Inbox
Prepare response
Registers an output response for delivery by the channel connector.
POST
/inbox/conversations/{id}/replyinbox:writeRequest
idstring · pathResource identifier.mandatorycontentstring · bodyResponse content.mandatorytypestring · bodyMessage type.optionalmedia_urlstring · bodyOptional media.optionaloffer_idstring · bodyContextual offer.optionaluse_duboolean · bodyMark DU as author.optionalExample
curl
curl -X POST 'https://achadu.com/api/v1/inbox/conversations/resource_id/reply' \
+ -H 'Authorization: Bearer ach_live_...' \
+ -H 'Accept: application/json' \
+ -H 'Content-Type: application/json' \
+ --data '{
"content": "I found a deal for you.",
"type": "string",
"media_url": "https://cdn.example.com/image.jpg",
"offer_id": "string"
}'Answer
200Operation completed4xxError with code, message and request_id